-- ┌                                               ┐
-- │                GitHub Actions                 │
-- └                                               ┘
local lsp = vim.lsp

local capabilities = require("lsp-options").capabilities
local on_attach = require("lsp-options").on_attach

lsp.config("gh_actions_ls", {
    capabilities = capabilities,
    on_attach = on_attach,
	filetypes = {
		"yaml.actions",
	},
})


-- ── Enable configs ───────────────────────────────────────────────
local enable = vim.lsp.enable
enable("gh_actions_ls")
